MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024928Open CASCADE[OCCT] OCCT:Visualizationpublic2014-05-15 10:422014-11-11 12:52
Reporterdbp 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024928: Visualization - FSAA is not working in ray-tracing mode
DescriptionRay-tracing adaptive FSAA is not working in current master.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024894closedbugmaster TKOpenGl - refactor OpenGl_FrameBuffer and OpenGl_Texture classes. 

-  Notes
(0029341)
dbp (developer)
2014-05-15 10:47

Dear kgv,

please review the patch in branch CR24928.
(0029342)
kgv (developer)
2014-05-15 10:51

Please test the patch.
(0029439)
apn (administrator)
2014-05-21 15:44

Dear BugMaster,

Branch CR24928 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 7a81ea9dfc6c00b44344649096585c098b48a301

Number of compiler warnings:

occt component :
Linux: 17 (17 on master)
Windows: 0 (0 on master)
MacOS: 202 (205 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 356083684 / 357326856
Total CPU difference: 54749.25000000005 / 56363.43999999993

Testing on Windows:
Total MEMORY difference: 379205160 / 379613888
Total CPU difference: 40610.421875 / 35503.203125

There are no differences in images found by testdiff.

- Related Changesets
occt: master 945c3529
Timestamp: 2014-05-15 06:45:49
Author: dbp
Committer: apn
Details ] Diff ]
0024928: Visualization - FSAA is not working in ray-tracing mode
mod - src/OpenGl/OpenGl_Workspace_Raytrace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-15 10:42 dbp New Issue
2014-05-15 10:42 dbp Assigned To => dbp
2014-05-15 10:47 dbp Note Added: 0029341
2014-05-15 10:47 dbp Assigned To dbp => kgv
2014-05-15 10:47 dbp Status new => resolved
2014-05-15 10:51 kgv Relationship added related to 0024894
2014-05-15 10:51 kgv Note Added: 0029342
2014-05-15 10:51 kgv Assigned To kgv => bugmaster
2014-05-15 10:51 kgv Status resolved => reviewed
2014-05-16 08:53 kgv Summary Visualization -- FSAA is not working in ray-tracing mode => Visualization - FSAA is not working in ray-tracing mode
2014-05-19 14:21 apn Assigned To bugmaster => apn
2014-05-21 15:44 apn Note Added: 0029439
2014-05-21 15:44 apn Test case number => Not needed
2014-05-21 15:44 apn Assigned To apn => bugmaster
2014-05-21 15:44 apn Status reviewed => tested
2014-05-23 14:25 apn Changeset attached => occt master 945c3529
2014-05-23 14:25 apn Assigned To bugmaster => apn
2014-05-23 14:25 apn Status tested => verified
2014-05-23 14:25 apn Resolution open => fixed
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker